Bug Tracker – Bug 1180

(sdl20) squeezed display

Last modified: 2019-01-02 15:21:00 CST
Bug 1180 - (sdl20) squeezed display
Summary: (sdl20) squeezed display
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Client (show other bugs)
Version: 0.7.x (Old)
Hardware: x86 (Windows, Linux, etc) Linux
: P1 normal
Assignee: Odamex Bug Reporter
URL:
Depends on:
Blocks:
 
Reported: 2016-09-16 17:32 CDT by Absolute Zero
Modified: 2019-01-02 15:21 CST (History)
3 users (show)

See Also:

Attachments

taken with a tool (98.76 KB, image/png)
2016-09-16 17:32 CDT, Absolute Zero
Details
Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description Absolute Zero 2016-09-16 17:32:03 CDT
Created attachment 536 [details]
taken with a tool

odamex display squeezes upon restart, disabling the widescreen option makes the display more squeezed. steps to reproduce:

set to desktop resolution
set widescreen yes
set fullscreen yes
restart odamex

issue is not shown using the screenshot console command.
Comment 1 HeX_Vulture 2016-10-16 13:08:55 CDT
Dr. Sean has recently made changes to SDL2 involving the drawing surface and fullscreen. Does this still occur?
Comment 2 Russell Rice 2016-10-23 07:30:03 CDT
Could we get an update on this? Also use the latest SDL version if you can, 2.0.5 was recently released
Comment 3 Mike Lightner 2016-11-11 21:15:25 CST
Is this also with a particular platform?  We cannot replicate this on Windows at least.
Comment 4 Ralph Vickers 2016-11-11 22:35:14 CST
(In reply to Mike Lightner from comment #3)
> Is this also with a particular platform?  We cannot replicate this on
> Windows at least.

Assuming he's on Debian Jessie 8.5 AMD64 as he says in bug 1181
Comment 5 Absolute Zero 2016-12-15 20:29:23 CST
As of commit ca08cd0, this bug seems fixed. Sorry for the long delay, I am very limited on my internet usage.
Comment 6 Ralph Vickers 2019-01-02 15:21:00 CST
As per reporter's comments, marking fixed.